#! /usr/bin/env python
#
# author: M.Pohlen
# 
# usage: python SPIRE_CUS_THCP.py 
#
# information: Script runs SPIRE testharness 
# 
#
# 2009.03.31: V0.1: Initial version adapted from
#                   SPIRE_CUS_THCP.py (2009.03.19: V0.1)
#

import os
import sys
import datetime


os.system("ls -l SPIRE_Duration.txt")
os.system("awk '{print $3}' SPIRE_Duration.txt > SPIRE_cus_scripts.txt")

filename='SPIRE_cus_scripts.txt'
f=open(filename, 'r')
os.system("rm -rf SPIRE_testharness_tempfile.txt")
h=open('SPIRE_testharness_tempfile.txt','w')

#start loop
for script in f:
 name = script[:-1]
 print name
 durfile = name+"_dur.log"
 os.system("cus -defdur " + name +" -properties hcss.cus.outputfile="+durfile)
 g=open(durfile, 'r')
 junk = g.readline()
 line = g.readline()
 print line
 h.write(line+'\n')

h.close() 
os.system("chmod a+rw SPIRE_testharness_tempfile.txt")
 
now = datetime.datetime.now()

datestr = now.strftime("%Y%m%d_%Hh%Mm%Ss")
print datestr

os.system("mv -i SPIRE_testharness_tempfile.txt SPIRE_harness_duration_summary_"+datestr+".log")
os.system("rm -f Spire*log") 

print ("Summary printed to: SPIRE_harness_duration_summary_"+datestr+".log")

